Package org.eclipse.birt.chart.computation.withaxes

# Class StackedSeriesLookup

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.StackedSeriesLookup

public final class StackedSeriesLookup extends Object
Implements a double lookup data structure for stacked series. It also maintains a min/max value for each unit needed to build the scale.

## Method Summary

Modifier and Type
Method
Description
`static StackedSeriesLookup`
`create(ChartWithAxes cwa, RunTimeContext rtc)`
`int`
`getSeriesCount(Axis ax)`
`StackGroup`
`getStackGroup(Series se)`
`List<StackGroup>`
`getStackGroups(Axis ax)`
`AxisSubUnit`
`getSubUnit(StackGroup sg, int iUnitIndex)`
`AxisSubUnit`
`getUnit(Series se, int iUnitIndex)`
Returns an AxisUnit needed to 'remember' the position of the next stacked bar to be rendered.
`int`
`getUnitCount()`
`void`
`resetSubUnits()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStackGroups

public List<StackGroup> getStackGroups(Axis ax)

### getSeriesCount

public int getSeriesCount(Axis ax)

### getStackGroup

public StackGroup getStackGroup(Series se)

Parameters:
  `se` -
Returns:
  The stack group associated with a specified Series

### getSubUnit

public AxisSubUnit getSubUnit(StackGroup sg, int iUnitIndex)

Parameters:
  `sg` -
  `iUnitIndex` -
Returns:
  An AxisUnit corresponding to a given stack group and specified unit index

### getUnit

public AxisSubUnit getUnit(Series se, int iUnitIndex)
Returns an AxisUnit needed to 'remember' the position of the next stacked bar to be rendered. If a series is not 'stackable' or not 'set as stacked', this method will return 'null'.

Parameters:
  `se` -
  `iUnitIndex` -
  `ax` -
Returns:
  unit

### resetSubUnits

public void resetSubUnits()

### create

public static StackedSeriesLookup create(ChartWithAxes cwa, RunTimeContext rtc) throws ChartException, IllegalArgumentException

Parameters:
  `cwa` -
Returns:
Throws:
  `ChartException`
  `IllegalArgumentException`

### getUnitCount

public int getUnitCount()